package com.ruoyi.project.ticket.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ticket.mapper.TPermitBlindPlateMapper;
import com.ruoyi.project.ticket.domain.TPermitBlindPlate;
import com.ruoyi.project.ticket.service.ITPermitBlindPlateService;

/**
 * 盲板抽堵工作票Service业务层处理
 *
 * @author ruoyi
 * @date 2023-05-11
 */
@Service
public class TPermitBlindPlateServiceImpl implements ITPermitBlindPlateService
{
    @Autowired
    private TPermitBlindPlateMapper tPermitBlindPlateMapper;

    /**
     * 查询盲板抽堵工作票
     *
     * @param bpId 盲板抽堵工作票ID
     * @return 盲板抽堵工作票
     */
    @Override
    public TPermitBlindPlate selectTPermitBlindPlateById(Long bpId)
    {
        return tPermitBlindPlateMapper.selectTPermitBlindPlateById(bpId);
    }

    /**
     * 查询盲板抽堵工作票列表
     *
     * @param tPermitBlindPlate 盲板抽堵工作票
     * @return 盲板抽堵工作票
     */
    @Override
    public List<TPermitBlindPlate> selectTPermitBlindPlateList(TPermitBlindPlate tPermitBlindPlate)
    {
        return tPermitBlindPlateMapper.selectTPermitBlindPlateList(tPermitBlindPlate);
    }

    /**
     * 新增盲板抽堵工作票
     *
     * @param tPermitBlindPlate 盲板抽堵工作票
     * @return 结果
     */
    @Override
    public int insertTPermitBlindPlate(TPermitBlindPlate tPermitBlindPlate)
    {
        return tPermitBlindPlateMapper.insertTPermitBlindPlate(tPermitBlindPlate);
    }

    /**
     * 修改盲板抽堵工作票
     *
     * @param tPermitBlindPlate 盲板抽堵工作票
     * @return 结果
     */
    @Override
    public int updateTPermitBlindPlate(TPermitBlindPlate tPermitBlindPlate)
    {
        return tPermitBlindPlateMapper.updateTPermitBlindPlate(tPermitBlindPlate);
    }

    /**
     * 批量删除盲板抽堵工作票
     *
     * @param bpIds 需要删除的盲板抽堵工作票ID
     * @return 结果
     */
    @Override
    public int deleteTPermitBlindPlateByIds(Long[] bpIds)
    {
        return tPermitBlindPlateMapper.deleteTPermitBlindPlateByIds(bpIds);
    }

    /**
     * 删除盲板抽堵工作票信息
     *
     * @param bpId 盲板抽堵工作票ID
     * @return 结果
     */
    @Override
    public int deleteTPermitBlindPlateById(Long bpId)
    {
        return tPermitBlindPlateMapper.deleteTPermitBlindPlateById(bpId);
    }
}
